import { j as s } from "../../node_modules/react/jsx-runtime.js";
import { ToastProvider as n, Toast as x, ToastTitle as c, ToastDescription as j, ToastClose as m, ToastViewport as T } from "./index.js";
import { useToast as p } from "./use-toast.js";
function f() {
  const { toasts: t } = p();
  return /* @__PURE__ */ s.jsxs(n, { children: [
    t.map(function({ id: e, title: o, description: r, action: i, ...a }) {
      return /* @__PURE__ */ s.jsxs(x, { ...a, children: [
        /* @__PURE__ */ s.jsxs("div", { className: "grid gap-1", children: [
          o && /* @__PURE__ */ s.jsx(c, { children: o }),
          r && /* @__PURE__ */ s.jsx(j, { children: r })
        ] }),
        i,
        /* @__PURE__ */ s.jsx(m, {})
      ] }, e);
    }),
    /* @__PURE__ */ s.jsx(T, {})
  ] });
}
export {
  f as Toaster
};
